Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoS.cpp File Reference

`#include "ImplRepoS.h"`
`#include "tao/PortableServer/Object_Adapter.h"`
`#include "tao/PortableServer/Operation_Table.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Stub.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/PortableServer/ServerRequestInfo.h"`
`#include "tao/PortableServer/ServerInterceptorAdapter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ImplRepoS.i"`

Include dependency graph for ImplRepoS.cpp:

## Compounds
class | TAO_ImplementationRepository_Administration_Perfect_Hash_OpTable
class | TAO_ImplementationRepository_ServerInformationIterator_Perfect_Hash_OpTable
class | TAO_ImplementationRepository_ServerObject_Perfect_Hash_OpTable
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_activate_server
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_find
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_list
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_register_server
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_remove_server
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_reregister_server
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_shutting_down
class | TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server
class | TAO_ServerRequestInfo_ImplementationRepository_ServerInformationIterator_destroy
class | TAO_ServerRequestInfo_ImplementationRepository_ServerInformationIterator_next_n
class | TAO_ServerRequestInfo_ImplementationRepository_ServerObject_ping
class | TAO_ServerRequestInfo_ImplementationRepository_ServerObject_shutdown
## Functions
ImplementationRepository::_TAO_ServerObject_Proxy_Broker* | ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function (CORBA::Object_ptr obj)
int | ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer (long)
ImplementationRepository::_TAO_Administration_Proxy_Broker* | ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function (CORBA::Object_ptr obj)
int | ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer (long)
ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker* | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function (CORBA::Object_ptr obj)
int | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer (long)
## Variables
TAO_ImplementationRepository_ServerObject_Perfect_Hash_OpTable | tao_ImplementationRepository_ServerObject_optable
int | ImplementationRepository__TAO_ServerObject_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer))
TAO_ImplementationRepository_Administration_Perfect_Hash_OpTable | tao_ImplementationRepository_Administration_optable
int | ImplementationRepository__TAO_Administration_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer))
TAO_ImplementationRepository_ServerInformationIterator_Perfect_Hash_OpTable | tao_ImplementationRepository_ServerInformationIterator_optable
int | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer))

## Function Documentation

int ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer ( | long )

ImplementationRepository::_TAO_Administration_Proxy_Broker * ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function ( | CORBA::Object_ptr obj )

int ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer ( | long )

ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker * ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function ( | CORBA::Object_ptr obj )

int ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer ( | long )

ImplementationRepository::_TAO_ServerObject_Proxy_Broker * ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function ( | CORBA::Object_ptr obj )

## Variable Documentation

int ImplementationRepository__TAO_Administration_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_Initializer))`[static]`

int ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_Initializer))`[static]`

int ImplementationRepository__TAO_ServerObject_Proxy_Broker_Stub_Factory_Initializer_Scarecrow = ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long, ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_Initializer))`[static]`

TAO_ImplementationRepository_Administration_Perfect_Hash_OpTable tao_ImplementationRepository_Administration_optable`[static]`

TAO_ImplementationRepository_ServerInformationIterator_Perfect_Hash_OpTable tao_ImplementationRepository_ServerInformationIterator_optable`[static]`

TAO_ImplementationRepository_ServerObject_Perfect_Hash_OpTable tao_ImplementationRepository_ServerObject_optable`[static]`